unit untChartSalesByMonths;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FMTBcd, DB, SqlExpr, TeEngine, Series, ExtCtrls, TeeProcs, Chart,
  DBChart, TeeDBEdit, TeeDBCrossTab, DBClient, TeeDataTableTool, TeeTools,
  StdCtrls, Spin;

type
  TchartSalesByMonths = class(TForm)
    Chart1: TChart;
    ChartTool1: TDataTableTool;
    Series1: TBarSeries;
    Series2: TBarSeries;
    Series3: TBarSeries;
    ChartTool3: TGridBandTool;
    ChartTool4: TAnnotationTool;
    Panel1: TPanel;
    btnEnlarge: TButton;
    SpinCols: TSpinEdit;
    btnPlotChart: TButton;
    Label1: TLabel;
    btnReduce: TButton;
    procedure btnEnlargeClick(Sender: TObject);
    procedure btnPlotChartClick(Sender: TObject);
    procedure btnReduceClick(Sender: TObject);
  private
    { Private declarations }
    FTotal_Carpark: Currency;
    FTotal_Residential: Currency;
    FTotal_Commercial: Currency;
    function MonthLabel(AMonth: string): string;
    procedure PlotSample;
  public
    { Public declarations }
    function PlotChart(ASQLConnection: TSQLConnection; ACahceDir: string; AFromDate, AToDate: TDate; ABrowserType: string; ATitle: string; ASubtitle: string): string;
  end;

var
  chartSalesByMonths: TchartSalesByMonths;

implementation


{$R *.dfm}

const
  ChineseBillion =  100000000;

procedure TchartSalesByMonths.btnEnlargeClick(Sender: TObject);
begin

  Chart1.Width := 896;
  Chart1.Height := 560;
end;

procedure TchartSalesByMonths.btnPlotChartClick(Sender: TObject);
begin
PlotSample;
end;

procedure TchartSalesByMonths.btnReduceClick(Sender: TObject);
begin
  Chart1.Width := 640;
  Chart1.Height := 400;
end;

function TchartSalesByMonths.MonthLabel(AMonth: string): string;
begin
//  case StrToInt(RightStr(AMonth, 2)) of
//    1: result := '@';
//    2: result := 'G';
//    3: result := 'T';
//    4: result := '|';
//    5: result := '';
//    6: result := '';
//    7: result := 'C';
//    8: result := 'K';
//    9: result := 'E';
//    10: result := 'Q';
//    11: result := 'Q@';
//    12: result := 'QG';
//  end;
end;

function TchartSalesByMonths.PlotChart(ASQLConnection: TSQLConnection;
  ACahceDir: string; AFromDate, AToDate: TDate;ABrowserType: string; ATitle: string; ASubtitle: string): string;
begin
end;

procedure TchartSalesByMonths.PlotSample;
var
  i: integer;
begin
    with Chart1.Series[0] do
    begin
      Clear;
      for i := 1 to spinCols.Value do
        Add(Random(100), '1');
    end;

    with Chart1.Series[1] do
    begin
      Clear;
      for i := 1 to spinCols.Value do
        Add(Random(100), '1');
    end;

        with Chart1.Series[2] do
    begin
      Clear;
      for i := 1 to spinCols.Value do
        Add(Random(100), '1');
    end;
end;

end.

